


// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot		0// dummy weapons
#define WeaponSlotPrimary	1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem		256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted	65536


class CfgPatches
{
	class spddesertsf
	{	
	units[] = {SPDsfdesertsoldier,SPDsfdesertMG,SPDsfdesertGL,SPDsfdesertTL,SPDsfdesertG36a,SPDsfdesertMedic,SPDsfdesertSniper};
	weapons[] = {SPDdesert_M21,SPDdesert_G36a,SPDdesert_GL,SPDdesert_XMS};
	requiredVersion = 1.30;
	};
};

//weapons
class CfgWeapons
{
	class Default {};
	class MGun: Default {};
	class Riffle: Mgun {};
	class G36aBase: Riffle {};
	class SniperRiffle: Riffle{};	
	class M21: SniperRiffle{};
	class M4: Riffle{};
	class XMS: M4{};
	class M16: Riffle {};
	class GrenadeLauncher: Default {};
	class M16GrenadeLauncher: GrenadeLauncher{};	
	class G36a: G36aBase {};
	
	class SPDdesert_M21: M21 
	{
		model="\spddesertsf\desert_M21\SPDdesert_M21.p3d";
		picture="\spddesertsf\Icons\desM21.jpg";	
		ammo="BulletSniperW";
		muzzles[]={Desert_M21muzzle};
		class Desert_M21muzzle : M21
		{magazines[] = {M21};}	
	};

	class SPDdesert_G36a: G36a
	{
		model="\spddesertsf\desert_G36a\SPDdesert_G36a.p3d";
		picture="\spddesertsf\Icons\desG36a.jpg";		
	};

	class SPDdesert_GL: M16GrenadeLauncher
	{
		displayName="M16/203";
		model="\spddesertsf\Desert_GL\SPDdesert_GL";
		picture="\spddesertsf\Icons\desm16grenadelauncher.jpg";
	};
	
	class SPDdesert_XMS: XMS
	{
		model="\spddesertsf\Desert_XMS\SPDdesert_XMS.p3d";
		picture="\spddesertsf\Icons\desxms.jpg";
	};		
};

//Proxy Weapons
class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxySPDdesert_XMS: ProxyWeapon {};
	class ProxySPDdesert_GL: ProxyWeapon {};
	class ProxySPDdesert_G36a: ProxyWeapon {};
	class ProxySPDdesert_M21: ProxyWeapon {};

};

//units
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWG: SoldierWB{};
	class SoldierWMG: SoldierWB{};
	class SoldierWSniper: SoldierWB{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};
	
	class SPDsfdesertsoldier:SoldierWSaboteurDay
	{
		scope=2;
		displayName="SPD Special Forces (Desert)";
		model="\spddesertsf\SPDsfdesertD";
		picture="\spddesertsf\Icons\sfSOLDIER.paa";
		nameSound="soldier";
		weapons[]={"M4","Throw","Put","SEBPut"};
		magazines[]={"M4","M4","M4","M4","M4","HandGrenade","HandGrenade","HandGrenade","SEBC4","SEBC4"};
		wounds[]=
{"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
"\spddesertsf\spddes0001a.paa","\spddesertsf\spddes0001a_w.paa",
"\spddesertsf\spddes0003a.paa","\spddesertsf\spddes0003a_w.paa",
"\spddesertsf\spddesbacka","\spddesertsf\spddesbacka_w",
"\spddesertsf\spddesfrnta","\spddesertsf\spddesfrnta_w",
"\spddesertsf\spddeslegba","\spddesertsf\spddeslegba_w",
"\spddesertsf\spddeslegfa","\spddesertsf\spddeslegfa_w",
"\spddesertsf\spddes0001b.paa","\spddesertsf\spddes0001b_w.paa",
"\spddesertsf\spddes0002b.paa","\spddesertsf\spddes0002b_w.paa",
"\spddesertsf\spddesfrntb","\spddesertsf\spddesfrntb_w",
"\spddesertsf\spddesbackb","\spddesertsf\spddesbackb_w",
"\spddesertsf\spddeslegbb","\spddesertsf\spddeslegbb_w",
"\spddesertsf\spddeslegfb","\spddesertsf\spddeslegfb_w",
"\spddesertsf\spddes0001c.paa","\spddesertsf\spddes0001c_w.paa",
"\spddesertsf\spddes0003c.paa","\spddesertsf\spddes0003c_w.paa",
"\spddesertsf\spddesbackc.paa","\spddesertsf\spddesbackc_w.paa",
"\spddesertsf\spddesban2c","\spddesertsf\spddesban2c_w",
"\spddesertsf\spddesban4c","\spddesertsf\spddesban4c_w",
"\spddesertsf\spddesfrntc.paa","\spddesertsf\spddesfrntc_w.paa",
"\spddesertsf\spddeslegbc.paa","\spddesertsf\spddeslegbc_w.paa",
"\spddesertsf\spddeslegfc.paa","\spddesertsf\spddeslegfc_w.paa",
"\spddesertsf\spddes0001d.paa","\spddesertsf\spddes0001d_w.paa",
"\spddesertsf\spddes0002d.paa","\spddesertsf\spddes0002d_w.paa",
"\spddesertsf\spddesbackd","\spddesertsf\spddesbackd_w",
"\spddesertsf\spddesfrntd","\spddesertsf\spddesfrntd_w",
"\spddesertsf\spddeslegbd","\spddesertsf\spddeslegbd_w",
"\spddesertsf\spddeslegfd","\spddesertsf\spddeslegfd_w"};
	};

	class SPDsfdesertMG:SPDsfdesertsoldier
	{
		displayName="SPD Special Forces (Desert) MG";
		model="\spddesertsf\SPDsfdesertC";
		picture="\spddesertsf\Icons\sfMG.paa";
		nameSound="machineGunner";
		scope=2;
		weapons[]={"M60","NVGoggles","Throw","Put"};
		magazines[]={"M60","M60","M60","M60","M60"};
	};

	
	class SPDsfdesertGL:SPDsfdesertsoldier
	{
		displayName="SPD Special Forces (Desert) GL";
		model="\spddesertsf\SPDsfdesertA";
		picture="\spddesertsf\Icons\sfGL.paa";
		nameSound="soldier";
		scope=2;
		weapons[]={"SPDdesert_GL","NVGoggles","Throw","Put","LAWLauncher"};
		magazines[]={"M16","M16","M16","M16","GrenadeLauncher","GrenadeLauncher","LAWLauncher"};
	};

//Team Leader	
	class SPDsfdesertTL:SPDsfdesertsoldier
	{
		displayName="SPD Special Forces (Desert) Team Leader";
		model="\spddesertsf\SPDsfdesertB";
		picture="\spddesertsf\Icons\sfTL.paa";
		nameSound="officer";
		scope=2;
		weapons[]={"SPDdesert_XMS","Binocular","NVGoggles","Throw","Put","SEBPut"};
		magazines[]={"M4","M4","M4","M4","M4","M4","Handgrenade","Handgrenade","SEBC4","SEBC4"};
	};

	class SPDsfdesertG36a:SPDsfdesertsoldier
	{
		scope=2;
		picture="\spddesertsf\Icons\sfSOLDIER.paa";
		displayName="SPD Special Forces (Desert) G36a";
		nameSound="soldier";
		weapons[]={"SPDdesert_G36a","NVGoggles","Throw","Put","SEBPut"};
		magazines[]={"G36aMag","G36aMag","G36aMag","G36aMag","G36aMag","HandGrenade","HandGrenade","HandGrenade","SEBC4","SEBC4"};
	};

	class SPDsfdesertMedic:SPDsfdesertGL
	{
		scope=2;
		picture="\spddesertsf\Icons\sfMEDIC.paa";
		displayName="SPD Special Forces (Desert) Medic";
		nameSound="medic";
		attendant=1;
		weapons[]={"M4","NVGoggles","Throw","Put","SEBPut"};
		magazines[]={"M4","M4","M4","M4","SEBC4","SEBC4","pipebomb","Handgrenade"};
	};

	class SPDsfdesertSniper:SPDsfdesertMG
	{
		scope=2;
		picture="\spddesertsf\Icons\sfSNIPER.paa";
		displayName="SPD Special Forces (Desert) Sniper";
		nameSound="sniper";
		weapons[]={"SPDdesert_M21","NVGoggles","Throw","Put","RPGLauncher"};
		magazines[]={"M21","M21","M21","M21","M21","M21","RPGLauncher"};
	};
};
		
// Team
class CfgGroups
{
	class West {
	name="West";
		class Infantry
		{
		name="Infantry";

			class SPDSpecialForcesDesertTeam
			{
			name="SPD Special Forces Desert Team";
				class Unit0
				{
				name="1";
				side=1;
				vehicle="SPDsfdesertTL";
				rank="Captain";
				position[]={0,5,0};
				};
				class Unit1
				{
				name="2";
				side=1;
				vehicle="SPDsfdesertSniper";
				rank="Lieutnant";
				position[]={-5,0,0};
				};
				class Unit2
				{
				name="3";
				side=1;
				vehicle="SPDsfdesertMG";
				rank="Lieutnant";
				position[]={5,0,0};
				};
				class Unit3
				{
				name="4";
				side=1;
				vehicle="SPDsfdesertMedic";
				rank="Lieutnant";
				position[]={7.5,0,0};
				};
				class Unit4
				{
				name="5";
				side=1;
				vehicle="SPDsfdesertGL";
				rank="Lieutnant";
				position[]={-7.5,0,0};
				};
				class Unit5
				{
				name="6";
				side=1;
				vehicle="SPDsfdesertG36a";
				rank="Sergeant";
				position[]={-10,0,0};
				};
				class Unit6
				{
				name="7";
				side=1;
				vehicle="SPDsfdesertsoldier";
				rank="Sergeant";
				position[]={10,0,0};
				};
			};
		};
	};
};

